blacklist-compat.conf
---------------------
#
# Listing a module here prevents the hotplug scripts from loading it.
# Usually that'd be so that some other driver will bind it instead,
# no matter which driver happens to get probed first.  Sometimes user
# mode tools can also control driver binding.
#
# Syntax:  driver name alone (without any spaces) on a line. Other
# lines are ignored.
#

# watchdog drivers
blacklist i8xx_tco

# framebuffer drivers
blacklist aty128fb
blacklist atyfb
blacklist radeonfb
blacklist i810fb
blacklist cirrusfb
blacklist intelfb
blacklist kyrofb
blacklist i2c-matroxfb
blacklist hgafb
blacklist nvidiafb
blacklist rivafb
blacklist savagefb
blacklist sstfb
blacklist neofb
blacklist tridentfb
blacklist tdfxfb
blacklist udlfb
blacklist virgefb
blacklist vga16fb
blacklist viafb
blacklist matroxfb_base

# ISDN - see bugs 154799, 159068
blacklist hisax
blacklist hisax_fcpcipnp


blacklist-mdv.conf
------------------
# blacklisted modules for PCI coldplug
# see also /etc/modprobe.d/blacklist-compat

blacklist rivatv

# For some bridges both intel-agp and i82875p_edac are loaded. If i82875p_edac
# is loaded first it will grab the device. Then intel-agp doesn't work.
# Therefore we disable automatic loading of 82875p_edac. (Bug 213840)
#  i82875p_edac

# do not use "Boot Protocol" drivers, we prefer usbhid
# and they cause problems when loaded together with usbhid (#37726, #40861)
blacklist usbkbd
blacklist usbmouse

# disable PC speaker by default
# pcspkr is the standard driver, while snd-pcsp is the ALSA driver
blacklist pcspkr
blacklist snd-pcsp



broadcom-wl-alias.conf
----------------------
# Force using proprietary Broadcom wl driver for supported devices.

# The module itself claims to handle any device with class 02
# (Network controller), subclass 80 (Network controller):
# alias pci:v*d*sv*sd*bc02sc80i* wl
# Seems strange, given that Broadcom does not even state that wl driver
# supports all WiFi adapters it manufactures.
#
# Let's just list what they explicitly state it supports:
# BCM4312-, BCM4313-, BCM4321-, BCM4322-, BCM43224-, BCM43225-,
# BCM43227- and BCM43228-based hardware.

alias pci:v000014E4d00000576sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004727sv*sd*bc*sc*i* wl
alias pci:v000014E4d0000A8D8sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004359sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004358sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004357sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004353sv*sd*bc*sc*i* wl
alias pci:v000014E4d0000432Dsv*sd*bc*sc*i* wl
alias pci:v000014E4d0000432Csv*sd*bc*sc*i* wl
alias pci:v000014E4d0000432Bsv*sd*bc*sc*i* wl
alias pci:v000014E4d0000432Asv*sd*bc*sc*i* wl
alias pci:v000014E4d00004329sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004328sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004322sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004321sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004315sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004313sv*sd*bc*sc*i* wl

# Readme.txt from  states that the following devices are also supported:
# BCM43142, BCM4331, BCM4360, BCM4352. Adding aliases for these too.
# Note that Readme.txt states the device ID of BCM4352 is 0x43A0, however,
# the PCI ID database shows 0x43B1, using the latter here.
alias pci:v000014E4d00004365sv*sd*bc*sc*i* wl
alias pci:v000014E4d00004331sv*sd*bc*sc*i* wl
alias pci:v000014E4d000043A0sv*sd*bc*sc*i* wl
alias pci:v000014E4d000043B1sv*sd*bc*sc*i* wl

# These two devices are not mentioned in PCI IDs v. 2.2. but it is suggested
# that wl driver should work for these too:
# 14e4:435a - BCM43228 (?)
# 14e4:a99d - BCM43421 (?)
alias pci:v000014E4d0000435Asv*sd*bc*sc*i* wl
alias pci:v000014E4d0000A99Dsv*sd*bc*sc*i* wl

# Use ssb module for 2 common variants of BCM4311 controller (PCI IDs:
# 14E4:4311 and 14E4:4312). Details:
#  pci:v000014E4d00004312sv*sd*bc*sc*i* ssb
alias pci:v000014E4d00004311sv*sd*bc*sc*i* ssb


ipw-no-associate.conf
---------------------
options ipw2100 associate=0
options ipw2200 associate=0
options ipw3945 associate=0


snd-oss.conf
------------
# We need to ensure that no ALSA OSS compatibility modules are loaded so
# we can use osspd easily
blacklist snd_pcm_oss
blacklist snd_mixer_oss
blacklist snd_seq_oss


usb.conf
--------
# kernel warns: ehci_hcd should always be loaded before uhci_hcd and ohci_hcd, not after
softdep uhci_hcd pre: ehci_hcd
softdep ohci_hcd pre: ehci_hcd


vmwgfx.conf
-----------
options vmwgfx enable_fbdev=1


